# Whitelisting Tokens

Streaming is only allowed for tokens that have been added to the whitelist within the Zebec Core Contract. Use `whitelistToken()` method:

```javascript
const tokenAddresses = ["tokenA", "tokenB"];
await zebecClient.grantWhitelisterRole(sender.address);
await zebecClient.whitelistToken([tokenAddress]);
```

*Note: Only user who has whitlisterRole can whitelist a token. To grant whitelister role, use the `grantWhitelisterRole():`*

```javascript
//only contract owner can grant whitelister role
const zebecClientOwner = new ZebecStreamClient(contractOwner);
await zebecClientOwner.grantWhitelisterRole(whitelisterAddress);
```

To whitelist your token on the existing Zebec protocol, please reach out directly to the administrator. You can see the list of whitelisted tokens at:

{% content-ref url="/pages/8Th5CauHLiaHSl9oM6vr" %}
[Whitelisted Tokens on BSC and Nautilus](/zebec-evm/zebec-evm-sdk/zebec-stream-client/whitelisted-tokens-on-bsc-and-nautilus.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zebec.io/zebec-evm/zebec-evm-sdk/zebec-stream-client/whitelisting-tokens.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
